OGRE: Ogre::RTShader::FFPRenderStateBuilder Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Member Functions | List of all members
Ogre::RTShader::FFPRenderStateBuilder Class Reference
Core » RTShader

Fixed Function Pipeline render state builder. More...

`#include <OgreShaderFFPRenderStateBuilder.h>`

Inheritance diagram for Ogre::RTShader::FFPRenderStateBuilder:
[legend]

## Public Member Functions
| FFPRenderStateBuilder ()
| ~FFPRenderStateBuilder ()
void | buildRenderState (ShaderGenerator::SGPass *sgPass, TargetRenderState *renderState)
| Build render state from the given pass that emulates the fixed function pipeline behaviour. More...
void | destroy ()
| Destroy the FFP builder instance. More...
bool | initialize ()
| Initialize the FFP builder instance. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...

## Static Public Member Functions
static FFPRenderStateBuilder & | getSingleton ()
| Override standard Singleton retrieval. More...
static FFPRenderStateBuilder * | getSingletonPtr ()
| Override standard Singleton retrieval. More...

## Detailed Description

Fixed Function Pipeline render state builder.

This class builds RenderState from a given pass that represents the fixed function pipeline that the source pass describes.

## Constructor & Destructor Documentation

## ◆ FFPRenderStateBuilder()

Ogre::RTShader::FFPRenderStateBuilder::FFPRenderStateBuilder | ( |  | ) |

## ◆ ~FFPRenderStateBuilder()

Ogre::RTShader::FFPRenderStateBuilder::~FFPRenderStateBuilder | ( |  | ) |

## Member Function Documentation

## ◆ buildRenderState()

void Ogre::RTShader::FFPRenderStateBuilder::buildRenderState | ( | ShaderGenerator::SGPass * | sgPass,
|  | TargetRenderState * | renderState
| ) |  |

Build render state from the given pass that emulates the fixed function pipeline behaviour.

Parameters

  sgPass | The shader generator pass representation. Contains both source and destination pass.
  renderState | The target render state that will hold the given pass FFP representation.

## ◆ destroy()

void Ogre::RTShader::FFPRenderStateBuilder::destroy | ( |  | ) |

Destroy the FFP builder instance.

## ◆ getSingleton()

static FFPRenderStateBuilder& Ogre::RTShader::FFPRenderStateBuilder::getSingleton | ( |  | ) |
| static

Override standard Singleton retrieval.

Remarks
  Why do we do this? Well, it's because the Singleton implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the Singleton template to work, but we actually only want it compiled into the implementation of the class based on the Singleton, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll.

  This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors.

## ◆ getSingletonPtr()

static FFPRenderStateBuilder* Ogre::RTShader::FFPRenderStateBuilder::getSingletonPtr | ( |  | ) |
| static

Override standard Singleton retrieval.

Remarks
  Why do we do this? Well, it's because the Singleton implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the Singleton template to work, but we actually only want it compiled into the implementation of the class based on the Singleton, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll.

  This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors.

## ◆ initialize()

bool Ogre::RTShader::FFPRenderStateBuilder::initialize | ( |  | ) |

Initialize the FFP builder instance.

Return true upon success.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

The documentation for this class was generated from the following file:

- OgreShaderFFPRenderStateBuilder.h